<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="caseStepInstance">
            <h2><span>Case Step Instance</span> {{ caseStepInstance.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ caseStepInstance.name }}</span>
                </dd>
                <dt><span>Step Id</span></dt>
                <dd>
                    <span>{{ caseStepInstance.stepId }}</span>
                </dd>
                <dt><span>Case Instance Id</span></dt>
                <dd>
                    <span>{{ caseStepInstance.caseInstanceId }}</span>
                </dd>
                <dt><span>Begin</span></dt>
                <dd>
                    <span>{{ caseStepInstance.begin }}</span>
                </dd>
                <dt><span>Team</span></dt>
                <dd>
                    <div *ngIf="caseStepInstance.team">
                        <a [routerLink]="['/team', caseStepInstance.team?.id, 'view']">{{ caseStepInstance.team?.id }}</a>
                    </div>
                </dd>
                <dt><span>Step Owner</span></dt>
                <dd>
                    <div *ngIf="caseStepInstance.stepOwner">
                        <a [routerLink]="['/step-owner', caseStepInstance.stepOwner?.id, 'view']">{{ caseStepInstance.stepOwner?.id }}</a>
                    </div>
                </dd>
                <dt><span>State</span></dt>
                <dd>
                    <div *ngIf="caseStepInstance.state">
                        <a [routerLink]="['/case-step-state', caseStepInstance.state?.id, 'view']">{{ caseStepInstance.state?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/case-step-instance', caseStepInstance.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
